/* Mobilanpassningar för skärmar upp till 768px */
@media only screen and (max-width: 768px) {

    /* Anpassning av huvudinnehållet till en kolumnlayout */
    #content {
        display: flex;
        flex-direction: column;
        margin-right: 30px;
    }

    /* Sektioner visas i full bredd */
    section {
        width: 100%;
        justify-content: center;
    }

    /* Sidofältet (aside) fyller hela bredden i mobil */
    aside {
        width: 100%;
    }

    /* Justering av kontaktformuläret för bättre mobilvisning */
    #form section {
        display: flex;
        justify-content: center;
        width: 90%;
    }

    /* Videor/iframes skalas för mobilbredd */
    iframe {
        width: 100%;
    }

    /* Navigationsmenyn döljs i mobil-läge */
    nav ul {
        display: none;
        display: flex;
        flex-direction: column;
    
    }

    /* Navigationsfältet rensas från desktopkantlinjer */
    nav {
        border: none;
        z-index: 1;
    }

    nav li a:hover {
        transform: scale(1);
    }

    /* Hamburgerikonen visas i mobil-läge */
    #dropdown {
        display: block;
        width: 8%;
    }

    #productsection {
        width: 80%;
        margin-left: 10%;
        margin-right: 10%;
    }

    #productsection figure a img{
        width: 60dvw;
    }

    header {
        margin-right: 25px;
        margin-left: 25px;
    }
}
